// Java I/O class file to be modified for IOExcept lab

// (c) J. Dean Brock, Rebecca F. Bruce, 2004
// Department of Computer Science
// University of North Carolina at Asheville

import java.io.* ;
import java.util.Scanner ;
import java.util.InputMismatchException ;

/** Class to be modified by students for the I/O and Exceptions lab. */
public class IOExcept {
    
    // Input file for the assignment    
    private static final String inName = "/usr/local/csci/201/iolabin.txt" ;
    
    /** Main method for IOExcept application.
     * @param args Unused by main method
     */
    public static void main(String[] args) {

        try {
            // Open the file as a sequence of bytes
            InputStream inStream = new FileInputStream(new File(inName)) ;
            // Scanner object for the lab
            Scanner stdin = new Scanner(inStream) ;
            
            // Use this to keep a count of the number of lines
            int LineNum = 0 ;
            // Use this to keep running sum of the numbers on good lines
            int fileTotal = 0 ;        
                    
            while (stdin.hasNext()) {
                // Read a line and increment line number count
                String line = stdin.nextLine() ;
                ++LineNum ;
                System.out.println("Line #" + LineNum + ": " + line) ;

                // Create a scanner for the new line
                Scanner lineScan = new Scanner(line) ;
                
                // ***********************************************
                // You should not change anything before this line
                // ***********************************************
                int WordNum = 0 ;
                // Use this to add up the numbers on a line
                int lineTotal = 0 ;
                // Read words from each line
                while (lineScan.hasNext()) {
                    String nextWord = lineScan.next() ;
                    ++WordNum ;
                    System.out.println("    Word #" + WordNum + ": " + nextWord) ;
                }
                fileTotal = fileTotal + lineTotal ;
            }
            System.out.println("Total of numbers on good lines:  " + fileTotal) ;
        } catch(FileNotFoundException fnfe) {
            System.out.println("No such file: " + fnfe.getMessage()) ;
        }
    }
}
